Berkeley DB version 6.0.30

## com.sleepycat.persist
Class StoreExistsException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.sleepycat.db.DatabaseException
                  com.sleepycat.persist.StoreExistsException

All Implemented Interfaces:
  Serializable

    public class StoreExistsException

extends DatabaseException

Thrown by the `EntityStore` constructor when the `ExclusiveCreate` configuration parameter is true and the store's internal catalog database already exists.

See Also:
  Serialized Form

Constructor Summary
`StoreExistsException(String message)`

Method Summary

Methods inherited from class com.sleepycat.db.DatabaseException
`getEnvironment, getErrno, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StoreExistsException

    public StoreExistsException(String message)

Berkeley DB version 6.0.30

Copyright (c) 1996, 2014 Oracle and/or its affiliates. All rights reserved.